de.esprit.common.gui.comp

## Class FileOutput

- java.lang.Object
- - de.esprit.common.gui.comp.AbstractFileIO
  - - de.esprit.common.gui.comp.FileOutput

-     public class FileOutput
      extends AbstractFileIO

  This class manages a current working directory as well as a current filename. It pops up a JFileChooser for file browsing. The default current working directory is the home directory of the user.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileOutput(java.awt.Component hook)`
    `FileOutput(java.awt.Component hook, CurrentFileHolder fileHolder)`
    `FileOutput(java.awt.Component hook, java.io.File startDir, javax.swing.filechooser.FileFilter fileFilt)`
    `FileOutput(java.awt.Component hook, java.io.File startDir, javax.swing.filechooser.FileFilter fileFilt, java.lang.String defaultFileName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.File` | `getOutputFile()` Pops up the FileChooser for selecting an output file
    `java.io.File` | `getOutputFile(javax.swing.filechooser.FileFilter fileFilt)`
    `java.io.File` | `requestOutputFile()` Pops up the FileChooser only if SHIFT or CTRL key is pressed or if the current file is not set

    - ### Methods inherited from class de.esprit.common.gui.comp.AbstractFileIO

      `addDefaultFileFilters, addFileFilter, addFileFilters, clearFileFilters, getCurrentFileFilter, getDirectory, getFile, getFileChooser, getFileFilters, getHomeDir, getStartDir, hasFileFilter, setCurrentFileFilter, setDirectory, setDirectory, setFile, setFileFilter, setFileName, showOpenDialog, showSaveDialog, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileOutput

          public FileOutput(java.awt.Component hook,
                    CurrentFileHolder fileHolder)

    - #### FileOutput

          public FileOutput(java.awt.Component hook)

    - #### FileOutput

          public FileOutput(java.awt.Component hook,
                    java.io.File startDir,
                    javax.swing.filechooser.FileFilter fileFilt)

    - #### FileOutput

          public FileOutput(java.awt.Component hook,
                    java.io.File startDir,
                    javax.swing.filechooser.FileFilter fileFilt,
                    java.lang.String defaultFileName)

  - ### Method Detail

    - #### requestOutputFile

          public java.io.File requestOutputFile()

      Pops up the FileChooser only if SHIFT or CTRL key is pressed or if the current file is not set

    - #### getOutputFile

          public java.io.File getOutputFile()

      Pops up the FileChooser for selecting an output file

    - #### getOutputFile

          public java.io.File getOutputFile(javax.swing.filechooser.FileFilter fileFilt)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.